WrapDup {sequoia} | R Documentation

## Check data for duplicates.

### Description

Check the genotype and life history data for duplicate IDs (not permitted) and duplicated genotypes (not advised), and count how many individuals in the genotype data are not included in the life history data (permitted). The order of IDs in the genotype and life history data is not required to be identical.

### Usage

    WrapDup(FortList, gID, LhIN, quiet = FALSE)

### Arguments

`LhIN` | life history data
`quiet` | suppress messages
`Specs` | The 1-row dataframe with parameter values
`GenoM` | matrix with genotype data, size nInd x nSnp

### Value

A list with one or more of the following elements:

`DupGenoID` | Dataframe, rownumbers of duplicated IDs in genotype data. Please do remove or relabel these to avoid downstream confusion.
`DupGenotype` | Dataframe, duplicated genotypes (with or without identical IDs). The specified number of maximum mismatches is allowed, and this dataframe may include pairs of closely related individuals. Mismatch = number of SNPs at which genotypes differ, LLR = likelihood ratio between 'self' and most likely non-self.
`DupLifeHistID` | Dataframe, rownumbers of duplicated IDs in life history data
`NoLH` | Vector, IDs (in genotype data) for which no life history data is provided

[Package sequoia version 1.3.3 Index]